package com.aiotagro.cattletrade.config;

import com.aiotagro.common.core.utils.SecurityUtil;
import com.mzt.logapi.beans.Operator;
import com.mzt.logapi.service.IOperatorGetService;
import org.springframework.stereotype.Service;

/**
 * @author Carson
 * @package_name com.aiotagro.payinfo.config
 * @date 2024/2/7 14:22
 */
@Service
public class LogRecordConfiguration implements IOperatorGetService {

    @Override
    public Operator getUser() {
        Operator e = new Operator();
        e.setOperatorId(SecurityUtil.getUserId().toString());
        return e;
    }
}
